Retrieves a list of all customers, with optional filtering
Use this endpoint to retrieve customers for chargeback configuration.
Supports filtering via the APIFilter query parameter to find specific customers by known attributes.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | Optional customer filter supporting equality, comparison, and contains operators on customer fields | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| customerInfo | Customer Name | String | equals not equals one of like not like not one of |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
CustomerResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| address | AddressChild | |||||||||||||||||||||||||||||||||||||
|
AddressChild properties
|
||||||||||||||||||||||||||||||||||||||
| customerCode | The customer code | string | ||||||||||||||||||||||||||||||||||||
| customerId | The customer identifier | integer (int32) | ||||||||||||||||||||||||||||||||||||
| customerInfo | The customer info | string | ||||||||||||||||||||||||||||||||||||
Example Response
[
{ "address": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "customerCode": "string", "customerId": 1, "customerInfo": "string"
}
]